/* config.vapi
 *
 * Copyright (C) 2008-2009  Nicolas Joseph
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Author:
 * 	Nicolas Joseph <gege2061@redaction-developpez.com>
 */

[CCode (cprefix = "", lower_case_cprefix = "", cheader_filename = "config.h")]
namespace Config
{
  public const string PACKAGE;
  public const string GETTEXT_PACKAGE;
  public const string PACKAGE_BUGREPORT;
  public const string PACKAGE_NAME;
  public const string PACKAGE_STRING;
  public const string PACKAGE_VERSION;
  public const string PACKAGE_PIXMAPS_DIR;
  public const string PACKAGE_DATA_DIR;
  public const string PACKAGE_PLUGIN_DIR;
  public const string PACKAGE_LOCALE_DIR;
  public const string PACKAGE_VAPI_DIR;
  public const string VALIDE_CTAGS_EXEC;
  public const string OS;
  public const string VAPI_VERSION;
  public const string COPYRIGHT;
}

